Skip to content
Start here

Get Script Content

workers_for_platforms.dispatch.namespaces.scripts.content.get(strscript_name, ContentGetParams**kwargs) -> BinaryResponseContent
GET/accounts/{account_id}/workers/dispatch/namespaces/{dispatch_namespace}/scripts/{script_name}/content

Fetch script content from a script uploaded to a Workers for Platforms namespace.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
dispatch_namespace: str

Name of the Workers for Platforms dispatch namespace.

script_name: str

Name of the script, used in URLs and route configuration.

ReturnsExpand Collapse
BinaryResponseContent

Get Script Content

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
content = client.workers_for_platforms.dispatch.namespaces.scripts.content.get(
    script_name="this-is_my_script-01",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    dispatch_namespace="my-dispatch-namespace",
)
print(content)
data = content.read()
print(data)
Returns Examples